summaryrefslogtreecommitdiff
path: root/dmake/tests
diff options
context:
space:
mode:
authorVladimir Glazounov <vg@openoffice.org>2007-01-18 08:42:41 +0000
committerVladimir Glazounov <vg@openoffice.org>2007-01-18 08:42:41 +0000
commit8079c8dda700efeae6d6336abeaa1a69052a0fb2 (patch)
tree6227d406555621dcfe8fe6e3ff8e920566ba49d7 /dmake/tests
parent13c0772a53a074124a35ad8af478042b7faf2a56 (diff)
INTEGRATION: CWS dmake47 (1.1.2); FILE ADDED
2006/12/02 19:10:54 vq 1.1.2.1: #i72210# Add missing detail and a testcase.
Diffstat (limited to 'dmake/tests')
-rwxr-xr-xdmake/tests/recipes-738
1 files changed, 38 insertions, 0 deletions
diff --git a/dmake/tests/recipes-7 b/dmake/tests/recipes-7
new file mode 100755
index 000000000000..3a932bb597b0
--- /dev/null
+++ b/dmake/tests/recipes-7
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# 01.12.2006 Volker Quetschke
+# Test that the '-' recipe switch is honored.
+# (issue 72210)
+
+: ${DMAKEPROG:=dmake}
+file1="mymakefile.mk"
+tmpfiles="$file1"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+trap 'rm -rf $tmpfiles' 1 2 3 15
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+cat > $file1 <<EOT
+# internal echo - This test might fail later if the internal echo ever
+# learns to handle quotes.
+SHELL:=/bin/sh
+SHELLFLAGS:=-ce
+
+all :
+ @-blabla
+ @echo OK
+
+EOT
+
+output=`eval ${DMAKEPROG} -r -f $file1 2> /dev/null`
+result=$?
+if test $result -eq 0 -a "$output" != "OK"; then
+ echo "Wrong result: $output"
+ result=1
+fi
+
+
+test $result -eq 0 && echo "Success - Cleaning up" && rm -f ${tmpfiles}
+test $result -ne 0 && echo "Failure!"
+exit $result